package com.sun.net.ssl.internal.www.protocol.https;

import javax.net.ssl.HostnameVerifier;
import javax.net.ssl.SSLSocketFactory;
import java.net.Proxy;
import java.io.IOException;
import sun.net.www.protocol.http.Handler;
import java.net.URL;
import com.sun.net.ssl.HttpsURLConnection;
import sun.net.www.protocol.https.AbstractDelegateHttpsURLConnection;

public class DelegateHttpsURLConnection extends AbstractDelegateHttpsURLConnection
{
    public HttpsURLConnection httpsURLConnection;
    
    DelegateHttpsURLConnection(URL url, Handler handler, HttpsURLConnection httpsURLConnection) throws IOException {
        this(url, null, handler, httpsURLConnection);
    }
    
    DelegateHttpsURLConnection(URL url, Proxy p4, Handler handler, HttpsURLConnection httpsURLConnection) throws IOException {
        super(url, p4, handler);
        this.httpsURLConnection = httpsURLConnection;
    }
    
    @Override
    protected SSLSocketFactory getSSLSocketFactory() {
        return this.httpsURLConnection.getSSLSocketFactory();
    }
    
    @Override
    protected HostnameVerifier getHostnameVerifier() {
        return new VerifierWrapper(this.httpsURLConnection.getHostnameVerifier());
    }
    
    protected void dispose() throws Throwable {
        super.finalize();
    }
}
